<template>
    <operations-block :type="typeValue" :count="total" :paginator="paginator" v-if="paginator"/>
</template>

<script>
    import { mapGetters } from 'vuex';
    import Operations from "../components/Operations";

	export default {
		name: "Operations",
        props: ['type'],
        data(){
		    return {
		        total: 0,
                paginator: undefined
            }
        },
        computed: {
		    ...mapGetters([
		        'axios'
            ]),
            typeValue(){
		        return this.type ? this.type : 'user_refill';
            }
        },
        methods: {
		    load(){
                this.axios
                    .get('operations')
                    .then(resp => resp.data)
                    .then(data => {
                        console.log(data);
                        this.total = data.total || 0;
                        this.paginator = data;
                    });
            }
        },
        components: {
		    'operations-block': Operations
        },
        mounted() {
		    this.load();
        }
    }
</script>

<style scoped>

</style>
